key_data_list Struct Reference

`#include <key_data.h>`

## Data Fields

db_object_t * | dbo
db_result_list_t * | result_list
const db_result_t * | result
key_data_t * | key_data
int | object_store
key_data_t ** | object_list
size_t | object_list_size
size_t | object_list_position
int | object_list_first
int | associated_fetch
zone_list_db_t * | zone_id_list
hsm_key_list_t * | hsm_key_id_list

## Detailed Description

A list of key data objects.

Definition at line 479 of file key_data.h.

## Field Documentation

## associated_fetch

int key_data_list::associated_fetch

Definition at line 489 of file key_data.h.

Referenced by key_data_list_copy(), key_data_list_get(), key_data_list_get_by_clauses(), and key_data_list_get_by_zone_id().

## dbo

db_object_t* key_data_list::dbo

Definition at line 480 of file key_data.h.

Referenced by key_data_list_begin(), key_data_list_free(), key_data_list_get(), key_data_list_get_begin(), key_data_list_get_by_clauses(), key_data_list_get_by_zone_id(), key_data_list_get_next(), key_data_list_new(), key_data_list_new_copy(), and key_data_list_next().

## hsm_key_id_list

hsm_key_list_t* key_data_list::hsm_key_id_list

Definition at line 491 of file key_data.h.

Referenced by key_data_list_copy(), and key_data_list_free().

## key_data

key_data_t* key_data_list::key_data

Definition at line 483 of file key_data.h.

Referenced by key_data_list_begin(), key_data_list_free(), and key_data_list_next().

## object_list

key_data_t** key_data_list::object_list

Definition at line 485 of file key_data.h.

Referenced by key_data_list_begin(), key_data_list_copy(), key_data_list_free(), key_data_list_get(), key_data_list_get_by_clauses(), key_data_list_get_by_zone_id(), key_data_list_next(), and key_data_list_size().

## object_list_first

int key_data_list::object_list_first

Definition at line 488 of file key_data.h.

Referenced by key_data_list_copy(), key_data_list_get(), key_data_list_get_by_clauses(), key_data_list_get_by_zone_id(), and key_data_list_next().

## object_list_position

size_t key_data_list::object_list_position

Definition at line 487 of file key_data.h.

Referenced by key_data_list_begin(), key_data_list_copy(), and key_data_list_next().

## object_list_size

size_t key_data_list::object_list_size

Definition at line 486 of file key_data.h.

Referenced by key_data_list_begin(), key_data_list_copy(), key_data_list_free(), key_data_list_get(), key_data_list_get_by_clauses(), key_data_list_get_by_zone_id(), key_data_list_next(), and key_data_list_size().

## object_store

int key_data_list::object_store

Definition at line 484 of file key_data.h.

Referenced by key_data_list_begin(), key_data_list_copy(), key_data_list_get_begin(), key_data_list_get_next(), key_data_list_next(), key_data_list_object_store(), and key_data_list_size().

## result

const db_result_t* key_data_list::result

Definition at line 482 of file key_data.h.

## result_list

db_result_list_t* key_data_list::result_list

Definition at line 481 of file key_data.h.

Referenced by key_data_list_begin(), key_data_list_copy(), key_data_list_free(), key_data_list_get(), key_data_list_get_begin(), key_data_list_get_by_clauses(), key_data_list_get_by_zone_id(), key_data_list_get_next(), key_data_list_next(), and key_data_list_size().

## zone_id_list

zone_list_db_t* key_data_list::zone_id_list

Definition at line 490 of file key_data.h.

Referenced by key_data_list_copy(), and key_data_list_free().

The documentation for this struct was generated from the following file:

- src/db/key_data.h